package com.demo.util;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class TableReader {

    private String url;

    private String username;

    private String password;

    private String driverClassName;

    public Map<String, Map<String, TableFieldEntity>> readTable(String... tableNames) {

        Map<String, Map<String, TableFieldEntity>> result = new HashMap<>();
        Map<String, TableFieldEntity> tableMap = new HashMap<>();
        for (String tableName : tableNames) {
            tableMap = new HashMap<>();
            result.put(tableName, tableMap);


        }


        return result;
    }
}